Announcement

Collapse
No announcement yet.

Help building robot controller

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Help building robot controller

    One of our team is trying to follow the instructions from page 82-86 on this document,
    https://github.com/ftctechnh/ftc_app...al%20v0_94.pdf
    Here is what they said: When I imported ftc_app-master into Android Studio, the import error (attached screenshot) showed up. When trying to build the FtcRobotController app, the run error (attached screenshot) also showed up. I'm currently using Android Studio 1.2.2, and the version being used in the document is Android Studio 1.2.1.1. Is it possible that I need to use the older version of Android Studio?

    The screenshot said
    Code:
    Failed to sync Gradle project 'ftc-app-master'
    Error: Cause: failed to find target Google Inc.:Google APIs 19: /Users/chandlor/Library/Android/sdk
    Open Android SDK Manager

  • #2
    Nope, (though I think 1.3.1 is the latest, it works fine). Install "Google APIs (ARM System Image)" for API 19.

    Comment


    • #3
      Originally posted by ViperMentor View Post
      One of our team is trying to follow the instructions from page 82-86 on this document,
      https://github.com/ftctechnh/ftc_app...al%20v0_94.pdf
      Here is what they said: When I imported ftc_app-master into Android Studio, the import error (attached screenshot) showed up. When trying to build the FtcRobotController app, the run error (attached screenshot) also showed up. I'm currently using Android Studio 1.2.2, and the version being used in the document is Android Studio 1.2.1.1. Is it possible that I need to use the older version of Android Studio?

      The screenshot said
      Code:
      Failed to sync Gradle project 'ftc-app-master'
      Error: Cause: failed to find target Google Inc.:Google APIs 19: /Users/chandlor/Library/Android/sdk
      Open Android SDK Manager
      If you're still getting the error after installing the API 19 system image mentioned in the previous post, try Note 3 in the post at http://ftcforum.usfirst.org/showthre...ll=1#post15397 :
      ###################
      ** Note 3. On some machines, the Google APIs may not be found. This problem has been noticed on machines which have upgraded from an earlier version of the Android Studio and SDK. If it occurs, use Start -> Run and enter:

      notepad %LOCALAPPDATA%\Android\sdk\add-ons\addon-google_apis-google-19\source.properties

      Change the third line in this file to:

      Addon.NameDisplay=Google APIs

      Save the file and restart Android Studio, then re-do the compilation.

      ###################

      Although in your case, it will be
      Code:
      vim /Users/chandlor/Library/Android/sdk/add-ons/addon-google_apis-google-19/source.properties
      John McDonnell
      Co-Mentor, Team 5873
      https://www.facebook.com/Team5873

      Comment

      Working...
      X